<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="COLLISION" with="oOlmec">
  <actions>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
if (hp &lt;= 0) {
  playSound(global.sndSlam);
  repeat (rand(1, 3)) {
    obj = instance_create(x+8, y+8, oGoldNugget);
    obj.xVel = rand(1, 4)-rand(1, 4);
    obj.yVel = rand(1, 6)*(-1);
  }
  if (rand(1, 2) == 1) {
    obj = instance_create(x+8, y+8, oGoldChunk);
    obj.xVel = rand(1, 4)-rand(1, 4);
    obj.yVel = rand(1, 6)*(-1);
  }
  if (rand(1, 6) == 1) {
    obj = instance_create(x+8, y+8, choose(oEmerald, oSapphire, oRuby));
    obj.xVel = rand(1, 4)-rand(1, 4);
    obj.yVel = rand(1, 6)*(-1);
  }
  if (isRealLevel()) {
    global.enemyKills[22] += 1; // 'other' in stats
    global.kills += 1;
  }
  instance_create(x+8, y+8, oSmokePuff);
  instance_destroy();
} else if (hurtTimer &lt;= 0) {
  hp -= 1;
  hurtTimer = 30;
}
</argument>
      </arguments>
    </action>
  </actions>
</event>
